@import 'mixins.scss';
.pricing-section{
    background-image: url(./img/pricing-section-bg.png);
    @include background;
    background-position: top;
    color: #FFFFFF;
    text-align: center;
    padding: 80px 0 100px;
}
.pricing-section__title{
    font-weight: bold;
    font-size: 28px;
    line-height: 42px;
    margin-bottom: 40px;
}
.pricing-section__tariffs-box{
    display: grid;
    grid-template-columns: 260px;
    gap: 20px;
    // justify-items: center;
    justify-content: center;
    align-items: center;
}
.pricing-section__tariff{
    background-color: #5F5161;
    padding-bottom: 65px;
    min-height: 460px;
    justify-self: stretch;
    max-width:260px;
    @include flex($direction: column, $justify: space-between)
}
.pricing-section__tariff.selected{
    .tariff__name{
        background-color:#3F2C41;
    }
    .tariff__price{
        font-size: 82px;
        line-height: 84px;
    }
    background-color: #473249;
    min-height: 560px;
    min-width: 290px;
    justify-self: center;
}
.tariff__name{
    padding: 35px 0;
    background-color: #695B6A;
    font-size: 24px;
    line-height: 24px;
    text-transform: uppercase;
    width: 100%;
}
.tariff__price{
    font-size: 60px;
    line-height: 62px;
    text-transform: uppercase
}
.tariff__duration{
    font-size: 14px;
    line-height: 16px;
    text-transform: uppercase;
}
.tariff__separator{
    width: 60px;
    height: 3px;
    background-color:#8D81AC;
    border: none;
}
.tariff__description{
    font-size: 16px;
    line-height: 18px;
}
.button--purchase{
    color: #FFFFFF;
    text-transform: uppercase;
    font-size: 15px;
    line-height: 15px;
    background-color: #776B79;
    border-color: transparent;
}
@media (min-width:481px){
    .pricing-section__tariffs-box{
        grid-template-columns: repeat(2,minmax(200px,1fr));
        gap: 30px;
        max-width:600px;
        margin: 0 auto;
    }
    .pricing-section__tariff.selected{
        justify-self: end;
    }
}
@media (min-width:993px){
    .pricing-section__tariffs-box{
        grid-template-columns: repeat(4,minmax(220px,1fr));
        max-width:1200px;
        margin: 0 auto;
    }
    .pricing-section__title{
        margin-bottom: 60px;
    }
    .pricing-section__tariff.selected{
        justify-self: center;
    }
}